%define ocamlname uchar

Name:           ocaml-%{ocamlname}
Version:        0.0.2
Release:        1%{?dist}.emp1
Summary:        Compatibility library for OCaml's Uchar module
License:        LGPLv2+ with exceptions
URL:            https://ocaml.github.io/uchar
Source0:        %{ocamlname}-%{version}.tbz

Requires:	ocaml >= 3.12.0

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 3.12.0
BuildRequires:  ocaml-ocamlbuild

%description
The `uchar` package provides a compatibility library for the
[`Uchar`][1] module introduced in OCaml 4.03.

The `uchar` package is distributed under the license of the OCaml
compiler. See LICENSE for details.

[1]: http://caml.inria.fr/pub/docs/manual-ocaml/libref/Uchar.html

Note: This package just contains a META file  since uchar is now part
of ocaml itself.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
ocaml pkg/git.ml
ocaml pkg/build.ml native=true native-dynlink=true

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc LICENSE
%{_libdir}/ocaml/%{ocamlname}


%files devel
%doc CHANGES.md
%doc README.md
